#!/bin/bash
# Script para extraer la fecha y el valor de un cambio de divisa 

# Parametros que se leen de la linea de comandos con sus valores por defecto
AHORA=$(date +"%Y%m%d_%H%M%S_%N")
CARPETA_OUT="/home/ramon"

moneda="SEK"
fechaVLGuion="25-10-2017"
fechaFin="28-10-2017"
# Descargamos el cambio euro-$moneda del dia del vl
wget --output-document=$CARPETA_OUT/CanviMoneda.tmp "http://sdw.ecb.europa.eu/quickview.do?SERIES_KEY=120.EXR.D.$moneda.EUR.SP00.A&start=${fechaVLGuion}&end=${fechaFin}&ubmitOptions.x=55&submitOptions.y=4&trans=N"
if [ $? -ne 0 ]; then
    echo "Error al descargar la informacion de 'http://sdw.ecb.europa.eu/quickview.do?SERIES_KEY=120.EXR.D.$moneda.EUR.SP00.A&start=${fechaVLGuion}$end=${fechaVLGuion}&ubmitOptions.x=55&submitOptions.y=4&trans=N', abortando"
    exit $?
fi

# Leemos el fichero descargado y lo obtenemos el valor

# Fecha
echo -e "Fecha: " 
grep -Eo -m1 "[0-9]{4}-[0-9]{2}-[0-9]{2}" $CARPETA_OUT/CanviMoneda.tmp | head -n1


# Valor del día
echo "Valor del día:"
grep -Eo "([0-9]+\.[0-9]{4,})" $CARPETA_OUT/CanviMoneda.tmp | head -n1

# Valores del día
echo "Valores del día:"
grep -Eo "([0-9]+\.[0-9]{4,})" $CARPETA_OUT/CanviMoneda.tmp


echo "Proceso finalizado correctamente"
